## ChamplainCoordinate ChamplainCoordinate — The simplest implementation of ChamplainLocation |

## Functions

ChamplainCoordinate * | champlain_coordinate_new ()
ChamplainCoordinate * | champlain_coordinate_new_full ()

## Types and Values

struct | ChamplainCoordinate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── ChamplainCoordinate

## Implemented Interfaces

ChamplainCoordinate implements ChamplainLocation.

## Description

ChamplainCoordinate is a simple object implementing ChamplainLocation.

## Functions

### champlain_coordinate_new ()

    ChamplainCoordinate *
    champlain_coordinate_new (void);

Creates a new instance of ChamplainCoordinate.

#### Returns

the created instance.

Since: 0.10

### champlain_coordinate_new_full ()

    ChamplainCoordinate *
    champlain_coordinate_new_full (gdouble latitude,
                                   gdouble longitude);

Creates a new instance of ChamplainCoordinate initialized with the given coordinates.

#### Parameters

latitude | the latitude coordinate |
longitude | the longitude coordinate |

#### Returns

the created instance.

Since: 0.10

## Types and Values

### struct ChamplainCoordinate

    struct ChamplainCoordinate;

The ChamplainCoordinate structure contains only private data and should be accessed using the provided API

Since: 0.10